#include <iostream>
#include <string>
using namespace std;

long br_ban(int br_dece){
    if(br_dece % 2 == 1){
        return (br_dece + 1)*(br_dece / 2) + (br_dece / 2 + 1);
    }
    else{
        return (br_dece + 1)*(br_dece / 2);
    }
}
int main()
{
    long long t, n, m, k;
    string slucajevi[10];
    cin >> t;
    for(int i = 0; i < t; i ++){
        cin >> n >> m >> k;
        if((k - n % k) * br_ban(n / k) + (n % k) * br_ban(n / k + 1) <= m) slucajevi[i] = "Tak";
        else slucajevi[i] = "Nie";
    }
    for(int i = 0; i < t; i ++){
        cout << slucajevi[i] << endl;
    }
    return 0;
}